Subject: Re: [PATCH] TX_RING and packet mmap

From: Evgeniy Polyakov <[email-masked]>
Date: Sun, 12 Apr 2009 14:32:12 +0400

Hi Johann.
Sorry for long reply.

On Sun, Apr 12, 2009 at 12:27:04PM +0200, Johann Baudy ([email-masked]) wrote:
> Do you mean that skb_shinfo(skb)->frags[i].page will be valid until
> destructor? even if linearized, cloned ....?

Page itself will live until destruction time, when skb is linearized
page is freed, so your own destructor will find that given page is no
longer used, and appropriate memory area can be overwritten.

When skb is cloned, page is untouched, only shared info reference
counter is increased.

-- 
	Evgeniy Polyakov